Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_CO_Factory Class Reference

TAO_Notify_CO_Factory. More...

`#include <Notify_Channel_Objects_Factory.h>`

Inheritance diagram for TAO_Notify_CO_Factory:

[legend]
Collaboration diagram for TAO_Notify_CO_Factory:

[legend]
List of all members.

## Public Methods
virtual TAO_Notify_EventChannel_i * | create_event_channel (TAO_Notify_EventChannelFactory_i *parent ACE_ENV_ARG_DECL)=0
| Create an Event Channel. More...
virtual TAO_Notify_ConsumerAdmin_i * | create_consumer_admin (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)=0
| Create a Consumer Admin. More...
virtual TAO_Notify_SupplierAdmin_i * | create_supplier_admin (TAO_Notify_EventChannel_i *channel ACE_ENV_ARG_DECL)=0
| Create a Supplier Admin. More...
virtual TAO_Notify_FilterFactory_i * | create_filter_factory (ACE_ENV_SINGLE_ARG_DECL)=0
| Create the Filter Factory. More...
virtual TAO_Notify_StructuredProxyPushSupplier_i * | create_struct_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)=0
| Create a Structured ProxyPushSupplier. More...
virtual TAO_Notify_SequenceProxyPushSupplier_i * | create_seq_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)=0
| Create a Sequence ProxyPushSupplier. More...
virtual TAO_Notify_ProxyPushSupplier_i * | create_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i *parent ACE_ENV_ARG_DECL)=0
| Create a ProxyPushSupplier. More...
virtual TAO_Notify_StructuredProxyPushConsumer_i * | create_struct_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)=0
| Create a Structured ProxyPushConsumer. More...
virtual TAO_Notify_SequenceProxyPushConsumer_i * | create_seq_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)=0
| Create a Sequence ProxyPushConsumer. More...
virtual TAO_Notify_ProxyPushConsumer_i * | create_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i *parent ACE_ENV_ARG_DECL)=0
| Create a ProxyPushConsumer. More...
virtual ACE_Lock * | create_channel_factory_lock (ACE_ENV_SINGLE_ARG_DECL)=0
| Create lock type used by channel factory. More...
virtual ACE_Lock * | create_event_channel_lock (ACE_ENV_SINGLE_ARG_DECL)=0
| Create lock type used by EC's. More...
virtual ACE_Lock * | create_consumer_admin_lock (ACE_ENV_SINGLE_ARG_DECL)=0
| Create lock type used by Consumer Admin's. More...
virtual ACE_Lock * | create_supplier_admin_lock (ACE_ENV_SINGLE_ARG_DECL)=0
| Create lock type used by Supplier Admin's. More...
virtual ACE_Lock * | create_proxy_supplier_lock (ACE_ENV_SINGLE_ARG_DECL)=0
| Create lock type used by proxy supplier. More...
virtual ACE_Lock * | create_proxy_consumer_lock (ACE_ENV_SINGLE_ARG_DECL)=0
| Create lock type used by proxy consumer. More...

## Detailed Description

TAO_Notify_CO_Factory.

Factory for channel objects.

## Member Function Documentation

virtual ACE_Lock* TAO_Notify_CO_Factory::create_channel_factory_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create lock type used by channel factory. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_ConsumerAdmin_i* TAO_Notify_CO_Factory::create_consumer_admin | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a Consumer Admin. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_consumer_admin_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create lock type used by Consumer Admin's. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_EventChannel_i* TAO_Notify_CO_Factory::create_event_channel | ( | TAO_Notify_EventChannelFactory_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create an Event Channel. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_event_channel_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create lock type used by EC's. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_FilterFactory_i* TAO_Notify_CO_Factory::create_filter_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create the Filter Factory. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_proxy_consumer_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create lock type used by proxy consumer. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_ProxyPushConsumer_i* TAO_Notify_CO_Factory::create_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a ProxyPushConsumer. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_ProxyPushSupplier_i* TAO_Notify_CO_Factory::create_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a ProxyPushSupplier. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_proxy_supplier_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create lock type used by proxy supplier. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_SequenceProxyPushConsumer_i* TAO_Notify_CO_Factory::create_seq_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a Sequence ProxyPushConsumer. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_SequenceProxyPushSupplier_i* TAO_Notify_CO_Factory::create_seq_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a Sequence ProxyPushSupplier. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_StructuredProxyPushConsumer_i* TAO_Notify_CO_Factory::create_struct_proxy_pushconsumer | ( | TAO_Notify_SupplierAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a Structured ProxyPushConsumer. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_StructuredProxyPushSupplier_i* TAO_Notify_CO_Factory::create_struct_proxy_pushsupplier | ( | TAO_Notify_ConsumerAdmin_i *parent | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a Structured ProxyPushSupplier. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual TAO_Notify_SupplierAdmin_i* TAO_Notify_CO_Factory::create_supplier_admin | ( | TAO_Notify_EventChannel_i *channel | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Create a Supplier Admin. Reimplemented in TAO_Notify_Default_CO_Factory.

virtual ACE_Lock* TAO_Notify_CO_Factory::create_supplier_admin_lock | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Create lock type used by Supplier Admin's. Reimplemented in TAO_Notify_Default_CO_Factory.

The documentation for this class was generated from the following file:

- Notify_Channel_Objects_Factory.h